libgnome2-gconf-perl_1.044-5+b1_amd64.deb


Advertisement

Description

libgnome2-gconf-perl - Perl interface to the GNOME GConf library

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libgnome2-gconf-perl
Package version 1.044
Package release 5+b1
Package architecture amd64
Package type deb
Installed size 194 B
Download size 83.44 KB
Official Mirror ftp.br.debian.org
Gnome2::GConf allows a perl developer to use the GConf
configuration system to store/retrieve the configuration of an
application.
The GConf system is a powerful configuration manager based on a user
daemon that handles a set of key and value pairs, and notifies any
changes of the value to every program that monitors those keys.
GConf is used by GNOME 2.x.
Find out more about GNOME at http://www.gnome.org.
The perl bindings follow the C API very closely, and the C reference
documentation should be considered the canonical source:
http://developer.gnome.org/doc/API/2.0/gconf/index.html
This module is part of gtk2-perl.
To discuss gtk2-perl, ask questions and flame/praise the authors,
join gtk-perl-list@gnome.org at lists.gnome.org.
Also have a look at the gtk2-perl website and sourceforge project page,
http://gtk2-perl.sourceforge.net

Alternatives

Package Version Architecture Repository
libgnome2-gconf-perl_1.044-5+b1_i386.deb 1.044 i386 Debian Main
libgnome2-gconf-perl - - -

Requires

Name Value
gconf-service -
libc6 >= 2.4
libgconf-2-4 >= 3.2.5
libglib-perl -
libglib2.0-0 >= 2.24.0
perl >= 5.20.0-4
perlapi-5.20.0 -

Download

Type URL
Binary Package libgnome2-gconf-perl_1.044-5+b1_amd64.deb
Source Package libgnome2-gconf-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libgnome2-gconf-perl deb package:
    # sudo apt-get install libgnome2-gconf-perl

Files

Path
/usr/lib/x86_64-linux-gnu/perl5/5.20/Gnome2/GConf.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Gnome2/GConf/ChangeSet.pod
/usr/lib/x86_64-linux-gnu/perl5/5.20/Gnome2/GConf/Client.pod
/usr/lib/x86_64-linux-gnu/perl5/5.20/Gnome2/GConf/Engine.pod
/usr/lib/x86_64-linux-gnu/perl5/5.20/Gnome2/GConf/Entry.pod
/usr/lib/x86_64-linux-gnu/perl5/5.20/Gnome2/GConf/Schema.pod
/usr/lib/x86_64-linux-gnu/perl5/5.20/Gnome2/GConf/Value.pod
/usr/lib/x86_64-linux-gnu/perl5/5.20/Gnome2/GConf/index.pod
/usr/lib/x86_64-linux-gnu/perl5/5.20/Gnome2/GConf/main.pod
/usr/lib/x86_64-linux-gnu/perl5/5.20/Gnome2/GConf/version.pod
/usr/lib/x86_64-linux-gnu/perl5/5.20/Gnome2/GConf/Install/Files.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Gnome2/GConf/Install/doctypes
/usr/lib/x86_64-linux-gnu/perl5/5.20/Gnome2/GConf/Install/gconf.typemap
/usr/lib/x86_64-linux-gnu/perl5/5.20/Gnome2/GConf/Install/gconfperl-autogen.h
/usr/lib/x86_64-linux-gnu/perl5/5.20/Gnome2/GConf/Install/gconfperl-version.h
/usr/lib/x86_64-linux-gnu/perl5/5.20/Gnome2/GConf/Install/gconfperl.h
/usr/lib/x86_64-linux-gnu/perl5/5.20/Gnome2/GConf/Install/gconfperl.typemap
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Gnome2/GConf/GConf.so
/usr/share/doc/libgnome2-gconf-perl/NEWS.gz
/usr/share/doc/libgnome2-gconf-perl/changelog.Debian.amd64.gz
/usr/share/doc/libgnome2-gconf-perl/changelog.Debian.gz
/usr/share/doc/libgnome2-gconf-perl/changelog.gz
/usr/share/doc/libgnome2-gconf-perl/copyright
/usr/share/doc/libgnome2-gconf-perl/examples/basic-gconf-app.pl.gz
/usr/share/doc/libgnome2-gconf-perl/examples/complex-gconf-app.pl.gz
/usr/share/doc/libgnome2-gconf-perl/examples/error.pl
/usr/share/doc/libgnome2-gconf-perl/examples/simple-controller.pl
/usr/share/doc/libgnome2-gconf-perl/examples/simple-view.pl
/usr/share/man/man3/Gnome2::GConf.3pm.gz
/usr/share/man/man3/Gnome2::GConf::ChangeSet.3pm.gz
/usr/share/man/man3/Gnome2::GConf::Client.3pm.gz
/usr/share/man/man3/Gnome2::GConf::Engine.3pm.gz
/usr/share/man/man3/Gnome2::GConf::Entry.3pm.gz
/usr/share/man/man3/Gnome2::GConf::Schema.3pm.gz
/usr/share/man/man3/Gnome2::GConf::Value.3pm.gz
/usr/share/man/man3/Gnome2::GConf::index.3pm.gz
/usr/share/man/man3/Gnome2::GConf::main.3pm.gz
/usr/share/man/man3/Gnome2::GConf::version.3pm.gz

Changelog

2014-04-24 - Florian Schlichting <fsfs@debian.org>
libgnome2-gconf-perl (1.044-5) unstable; urgency=low
* Team upload
[ gregor herrmann ]
* debian/control: update {versioned,alternative} (build) dependencies.
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ Axel Beckert ]
* debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg-
copyright"
[ Florian Schlichting ]
* Switch dh compatibility to level 9 to enable passing of hardening flags
* Delete comma to make Files comply with copyright-format 1.0
* Declare compliance with Debian Policy 3.9.5
* Forward patches, adding DEP-3 headers to fix-useless-whatis-entries
2011-11-17 - gregor herrmann <gregoa@debian.org>
libgnome2-gconf-perl (1.044-4) unstable; urgency=medium
[ Ryan Niebur ]
* Email change: Ryan Niebur -> ryan@debian.org
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ gregor herrmann ]
* Add patch disable-orbit: "Disable gconf_engine_key_is_writable.  This
symbol is not available in libgconf when it is configured without
ORBit support." Thanks to Colin Watson for the patch (Closes: #649055)
* Switch to source format 3.0 (quilt), remove quilt framework.
* Switch to debhelper compatibility level 8, use tiny debian/rules.
* debian/copyright: update formatting.
* Set Standards-Version to 3.9.2, remove version from perl build
dependency.
* debian/control: remove version from build dependencies that are
already satisfied in oldstable.
* Add /me to Uploaders.
* Set urgency to medium (RC bug fix, perl 5.14 transition).
[ Fabrizio Regalli ]
* Added fix-manpage-error patch
2009-04-01 - Ryan Niebur <ryanryan52@gmail.com>
libgnome2-gconf-perl (1.044-3) unstable; urgency=low
* run tests under dbus-launch (Closes: #521974)
- using override_* targets, increase version on debhelper dependency
* Debian Policy 3.8.1
2009-02-10 - Ryan Niebur <ryanryan52@gmail.com>
libgnome2-gconf-perl (1.044-2) unstable; urgency=low
* Take over for the Debian Perl Group on maintainer's request
(http://lists.debian.org/debian-perl/2008/12/msg00163.html)
* Add me to uploaders, remove old maintainer(s)
* dh 7
* docs
* policy 3.8.0
* fix useless whatis in man pages
- use quilt
- add README.source
* machine readable copyright format
* debian/control: wrap long lines; 
Mention module Name on extended desc.
2008-03-15 - Marc 'HE' Brockschmidt <he@debian.org>
libgnome2-gconf-perl (1.044-1) unstable; urgency=low
* New upstream release
2006-10-15 - Marc 'HE' Brockschmidt <he@debian.org>
libgnome2-gconf-perl (1.043-1) unstable; urgency=low
* New upstream release
* debian/control: Bumped Standards-Version
2006-02-27 - Marc 'HE' Brockschmidt <he@debian.org>
libgnome2-gconf-perl (1.021-1) unstable; urgency=low
* New upstream release
* debian/copyright: Updated with new upstream maintainer mail address
2005-10-08 - Marc 'HE' Brockschmidt <he@debian.org>
libgnome2-gconf-perl (1.020-1) unstable; urgency=low
* debian/control:
+ Change Maintainer to Gtk2-Perl team.
+ Add Florian to the Uploaders field.
+ Bump the Standards-Version to 3.6.2
* New upstream release.
+ As Gtk2::CodeGen is now in Glib, we can drop the Gtk2 deps
2004-06-03 - Marc 'HE' Brockschmidt <he@debian.org>
libgnome2-gconf-perl (1.000-4) unstable; urgency=low
* Rebuild against new GNOME 2.6 in unstable. 
2004-04-25 - Marc 'HE' Brockschmidt <he@debian.org>
libgnome2-gconf-perl (1.000-3) unstable; urgency=low
* Really upload to unstable, without unstable dependencies.

See Also

Package Description
libgnome2-perl_1.045-1+b1_amd64.deb Perl interface to the GNOME libraries
libgnome2-vfs-perl_1.082-1+b1_amd64.deb Perl interface to the 2.x series of the GNOME VFS library
libgnome2-wnck-perl_0.16-3+b1_amd64.deb Perl interface to the Window Navigator Construction Kit
libgnome2.0-cil-dev_2.24.2-3_amd64.deb CLI binding for GNOME 2.24
libgnome2.24-cil_2.24.2-3_amd64.deb CLI binding for GNOME 2.24
libgnomeada2.24.4-dev_2.24.4dfsg-1_amd64.deb Ada binding for the GNOME GUI (development files)
libgnomeada2.24.4_2.24.4dfsg-1_amd64.deb Ada binding for the GNOME GUI (dynamic library)
libgnomecanvas2-0_2.30.3-2_amd64.deb powerful object-oriented display engine - runtime files
libgnomecanvas2-common_2.30.3-2_all.deb powerful object-oriented display engine - common files
libgnomecanvas2-dev_2.30.3-2_amd64.deb powerful object-oriented display engine - development files
libgnomecanvas2-doc_2.30.3-2_all.deb powerful object-oriented display engine - documentation files
libgnomecanvasmm-2.6-1c2a_2.26.0-1.1_amd64.deb C++ wrappers for libgnomecanvas2 (shared library)
libgnomecanvasmm-2.6-dev_2.26.0-1.1_amd64.deb C++ wrappers for libgnomecanvas2 (development files)
libgnomecanvasmm-2.6-doc_2.26.0-1.1_all.deb C++ wrappers for libgnomecanvas2 (documentation)
libgnomedesktop2.0-cil-dev_2.26.0-8_all.deb CLI binding for GNOME Desktop 2.24
Advertisement
Advertisement